## org.eclipse.datatools.enablement.hsqldb.ui.connection
Class HSQLDBProfilePropertyPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.ui.dialogs.PropertyPage
                  org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
                      org.eclipse.datatools.connectivity.ui.wizards.ProfileDetailsPropertyPage
                          org.eclipse.datatools.connectivity.ui.wizards.ExtensibleProfileDetailsPropertyPage
                              org.eclipse.datatools.enablement.hsqldb.ui.connection.HSQLDBProfilePropertyPage

All Implemented Interfaces:
  IDriverUIContributorInformation, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPropertyPage

    public class HSQLDBProfilePropertyPage

extends ExtensibleProfileDetailsPropertyPage

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`HSQLDBProfilePropertyPage()`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ExtensibleProfileDetailsPropertyPage
`computeSize, determinePageCompletion, dispose, getProperties, setProperties`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ProfileDetailsPropertyPage
`setPingButtonEnabled`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
`createControl, getConnectionProfile, performOk`

Methods inherited from class org.eclipse.ui.dialogs.PropertyPage
`getElement, setElement`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, createControl, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### HSQLDBProfilePropertyPage

    public HSQLDBProfilePropertyPage()